# DataExchange
TKSTEP209
StepFEA

# StepFEA_FreedomAndCoefficient Class Reference

Representation of STEP entity FreedomAndCoefficient
.

`#include <StepFEA_FreedomAndCoefficient.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_FreedomAndCoefficient ()
| Empty constructor .
Standard_EXPORT void | Init (const StepFEA_DegreeOfFreedom &aFreedom, const StepElement_MeasureOrUnspecifiedValue &aA)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_DegreeOfFreedom | Freedom () const
| Returns field Freedom .
Standard_EXPORT void | SetFreedom (const StepFEA_DegreeOfFreedom &Freedom)
| Set field Freedom .
Standard_EXPORT StepElement_MeasureOrUnspecifiedValue | A () const
| Returns field A .
Standard_EXPORT void | SetA (const StepElement_MeasureOrUnspecifiedValue &A)
| Set field A .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_DegreeOfFreedom | theFreedom
StepElement_MeasureOrUnspecifiedValue | theA

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FreedomAndCoefficient::StepFEA_FreedomAndCoefficient | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepElement_MeasureOrUnspecifiedValue StepFEA_FreedomAndCoefficient::A | ( |  | ) | const

Standard_EXPORT StepFEA_DegreeOfFreedom StepFEA_FreedomAndCoefficient::Freedom | ( |  | ) | const

Standard_EXPORT const StepFEA_FreedomAndCoefficient::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_FreedomAndCoefficient::Init | ( | const StepFEA_DegreeOfFreedom & | aFreedom,
|  | const StepElement_MeasureOrUnspecifiedValue & | aA
| ) |

Standard_EXPORT void StepFEA_FreedomAndCoefficient::SetA | ( | const StepElement_MeasureOrUnspecifiedValue & | A | ) |

Standard_EXPORT void StepFEA_FreedomAndCoefficient::SetFreedom | ( | const StepFEA_DegreeOfFreedom & | Freedom | ) |

## Field Documentation

StepElement_MeasureOrUnspecifiedValue StepFEA_FreedomAndCoefficient::theA `[private]`

StepFEA_DegreeOfFreedom StepFEA_FreedomAndCoefficient::theFreedom `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FreedomAndCoefficient.hxx